<?php
namespace Smi\Model;

use Think\Model;

header("Content-type:text/html;charset=utf-8");
class AdminModel extends Model
{
//    /**
//     * 保存表单
//     */
//    public function saveForm()
//    {
//        $data = $_REQUEST;
//        $is_set_id = isset($data['id']) && !empty($data['id']) ? true : false;
//        if ($is_set_id) {
//                $delFile = $this->where(array('id' => $data['id']))->getField("picture");
//        }
//        if ($_FILES['picture']['error'] == 0) {
//            $upload = new \Think\Upload();    // 实例化上传类
//            // $upload->maxSize = 3145728 ;    // 设置附件上传大小
//            // 设置附件上传类型
//            $upload->exts = array('jpg', 'gif', 'png', 'jpeg');
//            $upload->rootPath = './Uploads/';    // 设置附件上传根目录
//            $upload->savePath = 'admin_busisness/';    // 设置附件上传目录
//            $upload->autoSub = false;    //不要子文件夹
//            // 上传文件
//            $info = $upload->upload();
//
//            if(!$info) {
//                // 上传错误提示错误信息
//                if ($is_set_id) {
//                    $this->error($upload->getError(), U('edit', array('id' => $data['id'])));die;
//                }
//                $this->error($upload->getError());die;
//
//            }else{
//                // 上传成功 获取上传文件信息
//                $pic = $info['picture']["savepath"] . $info['picture']["savename"];
//                $data['picture'] = $pic;    // 修改数据对象
//            }
//        } else {
//            // echo 111;die;
//            if ($is_set_id && empty($delFile)) {
//                // alertMsg("请上传图片", U('edit', array('id' => $data['id'])));
//                $this->error('请上传图片', U('edit', array('id' => $data['id'])));die;
//            } elseif (empty($is_set_id)) {
//                // alertMsg("请上传图片", U('add'));
//                $this->error('请上传图片');die;
//            }
//        }
//        if (!$is_set_id) {
//            $data['create_time'] = time();
//            $data['password'] = md5($data['password']);
//            $data['create_ip'] = $_SERVER['REMOTE_ADDR'];
//            $data['is_business'] = 1;
//            $result = $this->add($data);
//        } else {
//            $data['edit_ip'] = $_SERVER['REMOTE_ADDR'];
//            $data['edit_time'] = time();
//            $result = $this->save($data);
//            if ($result && isset($data['picture'])) {
//                @unlink("./Uploads/{$delFile}");    // 删除旧图
//            }
//        }
//        return $result;
//    }

    /**
     * 检查用户名、密码
     */
    public function check($username, $password)
    {
        $time = time();
        $row = $this->where("`username` = '$username'")->find();
        if (!$row) {
            // 账号不存在
            return array("status" => -1, "msg" => "账号不存在");
        }
        $password = md5($password);
        if ($row['password'] != $password) {
            // 密码错误
            return array("status" => -1, "msg" => "密码错误");
        } else {
            if ($row['status'] == -1) {
                // 账号禁用
                return array("status" => -1, "msg" => "账号禁用");
            } else {
                // 正常登陆
                $this->where("`id` = {$row['id']}")->setInc("login_num");
                $save = array("lasttime" => $time, "lastip" => $_SERVER['REMOTE_ADDR']);
                $this->where("`id` = {$row['id']}")->save($save);
                $auth = D("Group")->get_auth($row['group_id']);    // 获取权限
                session("auth",explode(',', $auth));
                session("admin", $row['username']);
                session("admin_id", $row['id']);
                session('picture', $row['picture']);
                session("group_id", $row['group_id']);
                session('is_business', $row['is_business']);
                return array("status" => 1, "msg" => "登陆成功");
            }
        }
    }
    
    /**
     * 名称查重
     */
    public function check_same($username, $id = 0)
    {
        if (!$id) {
            //添加记录查重
            if ($username) {
                $row = $this->where("`username` = '$username'")->find();
            }
        } else {
            //修改记录查重
            if ($username) {
                $row = $this->where("`id` != $id AND `username` = '$username'")->find();
            }
        }
        if ($row) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * 商户名查重
     */
    public function check_business_name($business_name = '')
    {
        //修改记录查重
        if ($business_name) {
            $row = $this->where(array('business_name' => $business_name))->limit(1)->select();
        }
        if (isset($row) && !empty($row)) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * 用户名查重
     */
    public function check_username($username)
    {
        //修改记录查重
        if ($username) {
            $row = $this->where(array('username' => $username))->limit(1)->select();
        }
        if (isset($row) && !empty($row)) {
            return true;
        } else {
            return false;
        }
    }
}